# cv::StarDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::StarDetector:

List of all members.

## Public Member Functions

| CV_WRAP_AS (detect) void operator()(const Mat &image
| finds the keypoints in the image
CV_WRAP | StarDetector ()
| the default constructor
CV_WRAP | StarDetector (int _maxSize, int _responseThreshold, int _lineThresholdProjected, int _lineThresholdBinarized, int _suppressNonmaxSize)
| the full constructor

## Public Attributes

CV_OUT vector< KeyPoint > &keypoints | const

## Detailed Description

The "Star" Detector.

The class implements the keypoint detector introduced by K. Konolige.

## Constructor & Destructor Documentation

CV_WRAP cv::StarDetector::StarDetector | ( | ) |

the default constructor

CV_WRAP cv::StarDetector::StarDetector | ( | int | _maxSize,
|  | int | _responseThreshold,
|  | int | _lineThresholdProjected,
|  | int | _lineThresholdBinarized,
|  | int | _suppressNonmaxSize
| ) |  |

the full constructor

## Member Function Documentation

cv::StarDetector::CV_WRAP_AS | ( | detect | ) | const

finds the keypoints in the image

## Member Data Documentation

CV_OUT vector<KeyPoint>& keypoints cv::StarDetector::const

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines